org.springframework.cloud.dataflow.server.repository

## Interface TaskDefinitionRepository

- All Superinterfaces:
    org.springframework.data.repository.CrudRepository<TaskDefinition,String>, org.springframework.data.keyvalue.repository.KeyValueRepository<TaskDefinition,String>, org.springframework.data.repository.PagingAndSortingRepository<TaskDefinition,String>, org.springframework.data.repository.Repository<TaskDefinition,String>

      @Transactional
      public interface TaskDefinitionRepository
      extends org.springframework.data.keyvalue.repository.KeyValueRepository<TaskDefinition,String>

  Repository to access `TaskDefinition`s.
  Author:
    Michael Minella, Gunnar Hillert

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.data.domain.Page<TaskDefinition>` | `findByDslTextContains(String dslText, org.springframework.data.domain.Pageable pageable)`
    `TaskDefinition` | `findByTaskName(String name)` Performs a findByName query and throws an exception if the name is not found.
    `org.springframework.data.domain.Page<TaskDefinition>` | `findByTaskNameContains(String taskName, org.springframework.data.domain.Pageable pageable)`
    `org.springframework.data.domain.Page<TaskDefinition>` | `findByTaskNameContainsAndDslTextContains(String taskName, String dslText, org.springframework.data.domain.Pageable pageable)`

    - ### Methods inherited from interface org.springframework.data.repository.PagingAndSortingRepository

      `findAll, findAll`

    - ### Methods inherited from interface org.springframework.data.repository.CrudRepository

      `count, delete, deleteAll, deleteAll, deleteById, existsById, findAll, findAllById, findById, save, saveAll`

- - ### Method Detail

    - #### findByTaskNameContains

          org.springframework.data.domain.Page<TaskDefinition> findByTaskNameContains(String taskName,
                                                                                      org.springframework.data.domain.Pageable pageable)

    - #### findByTaskNameContainsAndDslTextContains

          org.springframework.data.domain.Page<TaskDefinition> findByTaskNameContainsAndDslTextContains(String taskName,
                                                                                                        String dslText,
                                                                                                        org.springframework.data.domain.Pageable pageable)

    - #### findByDslTextContains

          org.springframework.data.domain.Page<TaskDefinition> findByDslTextContains(String dslText,
                                                                                     org.springframework.data.domain.Pageable pageable)

    - #### findByTaskName

          TaskDefinition findByTaskName(String name)

      Performs a findByName query and throws an exception if the name is not found.
      Parameters:
        `name` - the name of the task definition
      Returns:
        The task definition instance or `NoSuchTaskDefinitionException` if not found.

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.